Subject: bug#60517: closed (Re: bug#60517: [PATCH] gnu: neovim: Update to 0.8.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Jan 2023 09:58:03 +0000

Your bug report

#60517: [PATCH] gnu: neovim: Update to 0.8.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60517: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60517
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60517: [PATCH] gnu: neovim: Update to 0.8.2.
From: Ludovic Courtès <[email-masked]>
To: Luis Henrique Gomes Higino <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Jan 2023 10:56:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Luis Henrique Gomes Higino <[email-masked]> skribis:

> * gnu/packages/vim.scm (neovim): Update to 0.8.2.

Applied, thanks!

> this patch updates neovim to the latest release. However, while checking the package build I noticed that it has not been reproducible since fbdd0a4a14b968997a511bbf2634640529345904. I have not been able to find what is the root cause, since luajit (the package updated in that commit) remained reproducible.

Would you like to email your findings so far to [email-masked]?  That
way we’ll keep track of it and hopefully someone else can give a hand.

Ludo’.

Subject: [PATCH] gnu: neovim: Update to 0.8.2.
From: Luis Henrique Gomes Higino <[email-masked]>
To: [email-masked]
Cc: Luis Henrique Gomes Higino <[email-masked]>
Date: Tue, 3 Jan 2023 11:25:11 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/vim.scm (neovim): Update to 0.8.2.
---
Hi Guix,

this patch updates neovim to the latest release. However, while checking the package build I noticed that it has not been reproducible since fbdd0a4a14b968997a511bbf2634640529345904. I have not been able to find what is the root cause, since luajit (the package updated in that commit) remained reproducible.

Thanks,
Luis Higino

 gnu/packages/vim.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index 1451bf80a3..6939057ff2 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -12,7 +12,7 @@
 ;;; Copyright © 2021 Simon Tournier <[email-masked]>
 ;;; Copyright © 2021 Tissevert <[email-masked]>
 ;;; Copyright © 2021 Foo Chuan Wei <[email-masked]>
-;;; Copyright © 2022 Luis Henrique Gomes Higino <[email-masked]>
+;;; Copyright © 2022, 2023 Luis Henrique Gomes Higino <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -692,7 +692,7 @@ (define-public neovim-syntastic
 (define-public neovim
   (package
     (name "neovim")
-    (version "0.8.1")
+    (version "0.8.2")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -701,7 +701,7 @@ (define-public neovim
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "08qyni2qg63ghxl50am97pajdhkp05s1cglis3mlvkxx3pvzkrli"))))
+                "1jjw9a42l7wrziki2qznn7wiw5r59n4hs9i6g2hxnjyzixpg9xvl"))))
     (build-system cmake-build-system)
     (arguments
      (list #:modules

base-commit: 473692b812b4ab4267d9bddad0fb27787d2112ff
-- 
2.38.1